Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232193 - Review Request: perl-SVG - Generate stand-alone or inline SVG
Summary: Review Request: perl-SVG - Generate stand-alone or inline SVG
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Iseli
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 07:47 UTC by Alex Lancaster
Modified: 2010-02-07 21:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-24 00:42:04 UTC
Christian.Iseli: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-14 07:47:58 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-2.33-1.src.rpm
Description: Perl library to generate SVG.

This is a pre-requisite for bioperl.  This is my first package and I am picking up  the spec file a package that was approved back in 2005 (although it has since been orphaned and never built for Extras)

Comment 1 Alex Lancaster 2007-03-14 07:49:59 UTC
I am also seeking a sponsor.

Comment 2 Christian Iseli 2007-03-22 20:33:01 UTC
I'll review this.

Consider adding the %{?dist} release tag.

Please fix:
rpmlint /var/lib/mock/fedora-6-x86_64-core/result/perl-SVG-2.33-1.noarch.rpm
E: perl-SVG useless-explicit-provides perl(SVG::Element)


Comment 4 Christian Iseli 2007-03-23 12:10:57 UTC
Review:
- rpmlint is ok
- name ok
- spec name ok
- packaging guidelines met
- license ok
- license matches actual license in package
- spec file in American English and legible
- source matches upstream
- builds, installs, runs, and uninstalls cleanly
- BuildRequires ok
- no locale to worry about
- no relocation to worry about
- no duplicated files
- files perms ok
- clean section ok
- macro useage ok
- package contains code
- no large doc
- %doc is only doc
- builds in mock

This package is approved.

I'll sponsor you.

Cheers,
 C


Comment 5 Alex Lancaster 2007-03-23 13:20:55 UTC
New Package CVS Request
=======================
Package Name: perl-SVG
Short Description: An extension to generate stand-alone or inline SVG
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Some of these may already exist because of an obsolete package.

Comment 6 Warren Togami 2007-03-23 15:33:17 UTC
It did exist prior.  Added you as owner.

Comment 7 Alex Lancaster 2007-03-24 00:42:04 UTC
Builds fine in devel, FC-6, FC-5, closing as NEXTRELEASE.

Comment 8 Mark Chappell 2010-02-04 16:37:59 UTC
Alex is I believe not interested in maintaining for EPEL:

http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

"alexlan - feel free to take my Perl packages for EPEL; though I ask that you add me as a comaintainer."

Package Change Request
======================
Package Name: perl-SVG
New Branches: EL-4 EL-5
Owners: tremble alexlan

Comment 9 Kevin Fenzi 2010-02-07 21:14:37 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.